Update an inbound message part

patch

/crmRestApi/resources/11.13.18.05/inboundMessages/{InboundMessageId}/child/InboundMsgParts/{InboundMsgPartId}

Request

Path Parameters
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : Inbound Messages
Type: array
Title: Inbound Messages
The inbound messages resource is used to create, process, view, update, and replace a list of inbound messages received from customers, that need a response. For example, a message indicating that a customer's mobile camera is not functional.
Show Source
Nested Schema : inboundMessages-InboundMsgParts-InboundMessages-item-patch-request
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to create, view, update, and delete the list of files sent as attachments with the inbound messages. For example, a document with a screenshot of an error message.
Show Source
Nested Schema : Inbound Message Parts
Type: array
Title: Inbound Message Parts
The inbound message parts resource is used to create, view, update, and delete the list of components of an inbound message, such as From, To, CC, and Importance.
Show Source
Nested Schema : inboundMessages-InboundMsgParts-InboundMessages-Attachments-item-patch-request
Type: object
Show Source
Nested Schema : inboundMessages-InboundMsgParts-InboundMessages-InboundMsgParts-item-patch-request
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : inboundMessages-InboundMsgParts-item-response
Type: object
Show Source
Nested Schema : Inbound Messages
Type: array
Title: Inbound Messages
The inbound messages resource is used to create, process, view, update, and replace a list of inbound messages received from customers, that need a response. For example, a message indicating that a customer's mobile camera is not functional.
Show Source
Nested Schema : inboundMessages-InboundMsgParts-InboundMessages-item-response
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to create, view, update, and delete the list of files sent as attachments with the inbound messages. For example, a document with a screenshot of an error message.
Show Source
Nested Schema : Inbound Message Parts
Type: array
Title: Inbound Message Parts
The inbound message parts resource is used to create, view, update, and delete the list of components of an inbound message, such as From, To, CC, and Importance.
Show Source
Nested Schema : inboundMessages-InboundMsgParts-InboundMessages-Attachments-item-response
Type: object
Show Source
Nested Schema : inboundMessages-InboundMsgParts-InboundMessages-InboundMsgParts-item-response
Type: object
Show Source
Back to Top

Examples

The following example shows how to update an inbound message part by submitting a PATCH request on the REST resource.

Example of Request Header

The following shows an example of the request header.

PATCH /crmRestApi/resources/11.13.18.05/inboundMessages/300100091977695/child/InboundMsgParts/300100091977703
HOST: servername.fa.us2.oraclecloud.com
authorization: Basic U0FMRVNfQURNSU46V2VsY29tZTE=
content-type: application/vnd.oracle.adf.resourceitem+json

Example of Request Body

The following shows an example of the request body.

{
"PartTypeCd": "ORA_SVC_HEADER",
"PartName": "Date"
}

Example of Response Header

The following shows an example of the response header.

HTTP/1.1 200 OK
Server: Oracle-HTTP-Server-11g
Content-Type: application/vnd.oracle.adf.resourceitem+json
Content-Language: en

Example of Response Body

The following example shows the contents of the response body.

{
  "InboundMsgPartId": 300100091977703,
  "InboundMessageId": 300100091977695,
  "PartTypeCd": "ORA_SVC_HEADER",
  "PartName": "Date",
  "PartValue": "incoming@server.fa.us2.oraclecloud.com",
  "CreationDate": "2017-04-02T19:54:21.004+00:00",
  "CreatedBy": "FUSION_APPS_CRM_ESS_APPID",
  "LastUpdateDate": "2017-04-21T12:18:33+00:00",
  "LastUpdatedBy": "sales_admin",
  "links": [
    {
      "rel": "self",
      "href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/inboundMessages/300100091977695/child/InboundMsgParts/300100091977703",
      "name": "InboundMsgParts",
      "kind": "item",
      "properties": {
        "changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
      }
    },
    {
      "rel": "canonical",
      "href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/inboundMessages/300100091977695/child/InboundMsgParts/300100091977703",
      "name": "InboundMsgParts",
      "kind": "item"
    },
    {
      "rel": "parent",
      "href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/inboundMessages/300100091977695",
      "name": "inboundMessages",
      "kind": "item"
    }
  ]
}
Back to Top